package org.jeecg.ctop.finance.policy.mapper;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 政策信息表
 * @author jeecg-boot
 * 2021-07-27
 * @version V1.0
 */
public interface CwjsPolicyInfoMapper extends BaseMapper<CwjsPolicyInfo> {

    //查看政策列表
    List<CwjsPolicyInfo> selectPolicyInfos(CwjsPolicyInfo policyInfo);

    List<JSONObject> getAllSale();

    List<JSONObject> getAllSaleAndMeidaManager();

    /**
     * 查询所有 运营
     * @return
     */
    List<Map<String,Object>> getAllOperationUser();

    List<JSONObject> getAllSaleByUserId(String userId);

    void updatePolicyInfoById(CwjsPolicyInfo policyInfo);

    CwjsPolicyInfo getPolicyInfo(CwjsPolicyInfo policyInfo);




    //查询用户所属公司及区域 以及 上级领导 和 分公司负责人
    JSONObject getUserLeaderAndDirectorByRoleName(@Param("userId") String userId,@Param("roleName") String roleName);


}
